# KmlTourWait

#### new Cesium.KmlTourWait(duration)
DataSources/KmlTourWait.js 13

Pauses the KmlTour for a given number of seconds.

Name | Type | Description
--- | --- | ---
`duration` | Number | entry duration

##### See:

- KmlTour
- KmlTourFlyTo

### Methods

#### play(done)
DataSources/KmlTourWait.js 26

Play this playlist entry

Name | Type | Description
--- | --- | ---
`done` | KmlTourWait.DoneCallback | function which will be called when playback ends

#### stop()
DataSources/KmlTourWait.js 38

Stop execution of curent entry, cancel curent timeout

### Type Definitions

#### Cesium.KmlTourWait.DoneCallback(terminated)
DataSources/KmlTourWait.js 45

A function which will be called when playback ends.

Name | Type | Description
--- | --- | ---
`terminated` | Boolean | true if `KmlTourWait#stop` was called before entry done playback.